Bug 108873 - Field condition no longer accepts column name only
Summary: Field condition no longer accepts column name only
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4 all versions
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.0.0 target:5.3.5 target:5.4.0.2
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2017-06-30 07:09 UTC by Samuel Mehrbrodt (CIB)
Modified: 2017-07-06 21:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
field.odt (8.74 KB, application/vnd.oasis.opendocument.text)
2017-06-30 07:09 UTC, Samuel Mehrbrodt (CIB)
Details
sheet.ods (7.91 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-06-30 07:10 UTC, Samuel Mehrbrodt (CIB)
Details
Screenshot (75.26 KB, image/png)
2017-06-30 07:13 UTC, Samuel Mehrbrodt (CIB)
Details
Screenshot (70.78 KB, image/png)
2017-06-30 07:14 UTC, Samuel Mehrbrodt (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2017-06-30 07:09:51 UTC
Created attachment 134405 [details]
field.odt

1. Open the attachment field.odt
2. Register the sheet.ods as a datasource in Writer (via Edit->Exchange Database->Browse; then select sheet.ods). Make sure that the "sheet" database is in the left list "Databases in use"
3. Open Data Sources in Writer (F4) and select the table "Tabelle1"
4. Select row 2 and click the "Data to Fields" button in the Data Sources toolbar (see screenshot)
   -> The text should change to "Calc Col is 2"

Works in 4.3.7.2
Doesnt' work from 4.4.0.1 upwards

It only works in newer versions if you specify the full path, e.g. [sheet.Tabelle1.Col] instead of just [Col].
Comment 1 Samuel Mehrbrodt (CIB) 2017-06-30 07:10:17 UTC
Created attachment 134406 [details]
sheet.ods
Comment 2 Samuel Mehrbrodt (CIB) 2017-06-30 07:13:29 UTC
Created attachment 134407 [details]
Screenshot
Comment 3 Samuel Mehrbrodt (CIB) 2017-06-30 07:14:55 UTC
Created attachment 134408 [details]
Screenshot
Comment 4 Jacques Guilleron 2017-06-30 08:58:05 UTC
Hi Samuel,

doesn't work with
LO 4.4.0.0.beta1 Build ID: 9af3d21234aa89dac653c0bd76648188cdeb683e
Locale: fr_FR
under Windows 7 Home and newer versions.
Works with
LO 4.3.7.2 Build ID: 8a35821d8636a03b8bf4e15b48f59794652c68ba
Comment 5 Samuel Mehrbrodt (CIB) 2017-06-30 09:10:56 UTC
Thx for testing, but version is earliest affected, resetting to 4.4.
Comment 7 Commit Notification 2017-07-05 19:43:58 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f54c6938f73b94fb6f722f3ea68454fee424e62e

tdf#108873 fix merge data handling in fields

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-07-06 09:21:10 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5cde0b62fd074bca132caf6b6010aa002ccf7c87&h=libreoffice-5-3

tdf#108873 fix merge data handling in fields

It will be available in 5.3.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2017-07-06 21:17:50 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b28b21216cce1cf0ae4b35b0d251df9c6b42730b&h=libreoffice-5-4

tdf#108873 fix merge data handling in fields

It will be available in 5.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.